﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GC___VIsibleColumn
{
    public partial class Form1 : Form
    {
        System.Windows.Forms.ToolTip tooltip1;
        public Form1()
        {
            InitializeComponent();
            tooltip1 = new System.Windows.Forms.ToolTip();
            tooltip1.AutoPopDelay = 100000000;//ToolTip Display time period.
            tooltip1.InitialDelay = 100000;

            this.gridControl1.DefaultColWidth = 70;
            this.gridControl1.ColStyles[4].CellValue = "Sample text";
            this.gridControl1.ColStyles[5].CellValue = " Txt phase 1";
            this.gridControl1.QueryCellInfo += new GridQueryCellInfoEventHandler(gridControl1_QueryCellInfo);
            this.gridControl1.CellMouseHoverEnter += new GridCellMouseEventHandler(gridControl1_CellMouseHoverEnter);
        }

        string cellValue;
        bool flag = false;
        int viewLayout;

        void gridControl1_CellMouseHoverEnter(object sender, GridCellMouseEventArgs e)
        {
            
            if (gridControl1.ViewLayout.HasPartialVisibleCols)
            {
                viewLayout = this.gridControl1.ViewLayout.LastVisibleCol;
                flag = true; 
            }
            else
            {
                // MessageBox.Show("Visible Column"); 
            }            
        }        

        void gridControl1_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            if (flag)
            {                
                if (e.ColIndex == viewLayout && e.RowIndex > 0)
                {
                    cellValue = this.gridControl1.ColStyles[viewLayout].CellValue.ToString();
                    e.Style.CellTipText = "Partially visible" + tooltip1.InitialDelay;                 
                }
                else
                {
                    e.Style.CellTipText = string.Empty;
                }
               
            }
        }
    }
}
